.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH TCTRACE 1 "January 13, 2003"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
tctrace \- similar to traceroute, yet uses TCP SYN packets
.SH DESCRIPTION
This manual page documents briefly the
.B tctrace
command.
This manual page was written for the Debian distribution
because the original program does not have a manual page.
.PP
TCtrace is like itrace a traceroute(1) brother - but it uses TCP SYN packets to trace. 
.PP
This makes it possible for you to trace through firewalls if you know one TCP service that is allowed to pass from the outside.
.PP
Typical Usage:
.PP
tctrace -i eth0 -d www.phenoelit.de 
.PP
-v              verbose
.PP
-n              reverse lookup answering IPs (slow!)
.PP
-p x            send x probes per hop (default=3)
.PP
-m x            set TTL max to x (default=30)
.PP
-t x            timout after x seconds (default=3)
.PP
-D x            destination port x (default=80)
.PP
-S x            source port x (default=1064)
.PP
-i interface    the normal eth0 stuff
.PP
-d destination  Name or IP of destination
.PP
Note there have been bugs reported on tctrace.  It sometimes has a mind of its own.
.PP
.SH AUTHOR
This manual page was written by Vince Mulhollon <vlm@debian.org>,
for the Debian GNU/Linux system (but may be used by others).
